ClientAuth (JASPIC 1.1 API Documentation - Apache Tomcat 8.5.89)

Package javax.security.auth.message

## Interface ClientAuth

- All Known Subinterfaces:
    `ClientAuthContext`, `ClientAuthModule`

      public interface ClientAuth

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanSubject​(MessageInfo messageInfo, javax.security.auth.Subject subject)` | Remove principals and/or credentials from the subject that were previously added by this authentication mechanism.
    `AuthStatus` | `secureRequest​(MessageInfo messageInfo, javax.security.auth.Subject clientSubject)` | Secure (authenticate) the request.
    `AuthStatus` | `validateResponse​(MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)` | Validate a response.

- - ### Method Detail

    - #### secureRequest

          AuthStatus secureRequest​(MessageInfo messageInfo,
                                   javax.security.auth.Subject clientSubject)
                            throws AuthException

      Secure (authenticate) the request.
      Parameters:
        `messageInfo` - The associated request and response
        `clientSubject` - The subject that represents the source of the request
      Returns:
        An AuthStatus instance that represents the result of the authentication
      Throws:
        `AuthException` - If the a failure occurred in a manner that prevented the failure from being communicated via messageInfo

    - #### validateResponse

          AuthStatus validateResponse​(MessageInfo messageInfo,
                                      javax.security.auth.Subject clientSubject,
                                      javax.security.auth.Subject serviceSubject)
                               throws AuthException

      Validate a response.
      Parameters:
        `messageInfo` - The associated request and response
        `clientSubject` - The subject that represents the recipient of the response
        `serviceSubject` - The subject that represents the source of the response
      Returns:
        An AuthStatus instance that represents the result of the validation
      Throws:
        `AuthException` - If the a failure occurred in a manner that prevented the failure from being communicated via messageInfo

    - #### cleanSubject

          void cleanSubject​(MessageInfo messageInfo,
                            javax.security.auth.Subject subject)
                     throws AuthException

      Remove principals and/or credentials from the subject that were previously added by this authentication mechanism.
      Parameters:
        `messageInfo` - The associated request and response
        `subject` - The subject to clean
      Throws:
        `AuthException` - If the a failure occurred